﻿#
# Module manifest for module 'Indented.SecurityPolicy'
#
# Generated by: Chris Dent
#
# Generated on: 29/11/2018
#

@{

# Script module or binary module file associated with this manifest.
RootModule = 'Indented.SecurityPolicy.psm1'

# Version number of this module.
ModuleVersion = '1.3.2'

# Supported PSEditions
CompatiblePSEditions = @('Core', 'Desktop')

# ID used to uniquely identify this module
GUID = 'e1d90894-388a-42a1-aa09-b7bb0bbdfae0'

# Author of this module
Author = 'Chris Dent'

# Company or vendor of this module
CompanyName = 'Chris Dent'

# Copyright statement for this module
Copyright = '2018 Chris Dent'

# Description of the functionality provided by this module
Description = 'Security management functions and resources'

# Minimum version of the Windows PowerShell engine required by this module
PowerShellVersion = '5.1'

# Name of the Windows PowerShell host required by this module
# PowerShellHostName = ''

# Minimum version of the Windows PowerShell host required by this module
# PowerShellHostVersion = ''

# Minimum version of Microsoft .NET Framework required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
# DotNetFrameworkVersion = ''

# Minimum version of the common language runtime (CLR) required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
# CLRVersion = ''

# Processor architecture (None, X86, Amd64) required by this module
# ProcessorArchitecture = ''

# Modules that must be imported into the global environment prior to importing this module
# RequiredModules = @()

# Assemblies that must be loaded prior to importing this module
RequiredAssemblies = 'lib\SecurityPolicy.dll'

# Script files (.ps1) that are run in the caller's environment prior to importing this module.
# ScriptsToProcess = @()

# Type files (.ps1xml) to be loaded when importing this module
# TypesToProcess = @()

# Format files (.ps1xml) to be loaded when importing this module
FormatsToProcess = 'Indented.SecurityPolicy.format.ps1xml'

# Modules to import as nested modules of the module specified in RootModule/ModuleToProcess
# NestedModules = @()

# Functions to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no functions to export.
FunctionsToExport = @('Clear-UserRight','Get-AssignedUserRight','Get-SecurityOption','Get-UserRight','Grant-UserRight','Install-GroupManagedServiceAccount','Reset-SecurityOption','Resolve-SecurityOption','Resolve-UserRight','Revoke-UserRight','Set-SecurityOption','Set-UserRight','Test-GroupManagedServiceAccount','Uninstall-GroupManagedServiceAccount')

# Cmdlets to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no cmdlets to export.
CmdletsToExport = @()

# Variables to export from this module
VariablesToExport = @()

# Aliases to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no aliases to export.
AliasesToExport = @("","","","","","","","","","","","","","","")

# DSC resources to export from this module
DscResourcesToExport = @('GroupManagedServiceAccount','RegistryPolicy','SecurityOption','UserRightAssignment')

# List of all modules packaged with this module
# ModuleList = @()

# List of all files packaged with this module
# FileList = @()

# Private data to pass to the module specified in RootModule/ModuleToProcess. This may also contain a PSData hashtable with additional module metadata used by PowerShell.
PrivateData = @{

    PSData = @{

        # Tags applied to this module. These help with module discovery in online galleries.
        # Tags = @()

        # A URL to the license for this module.
        # LicenseUri = ''

        # A URL to the main website for this project.
        # ProjectUri = ''

        # A URL to an icon representing this module.
        # IconUri = ''

        # ReleaseNotes of this module
        # ReleaseNotes = ''

    } # End of PSData hashtable

} # End of PrivateData hashtable

# HelpInfo URI of this module
# HelpInfoURI = ''

# Default prefix for commands exported from this module. Override the default prefix using Import-Module -Prefix.
# DefaultCommandPrefix = ''

}







